This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 137147 - Scale of the glyphs are not matching on other fonts' glyphs
Scale of the glyphs are not matching on other fonts' glyphs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ttfonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jatin Nansi
:
Depends On:
Blocks: Indic
  Show dependency treegraph
 
Reported: 2004-10-26 02:54 EDT by Leon Ho
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: ttfonts-indic-1.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 09:24:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshots of gu font scaled to 30% (221.66 KB, image/png)
2004-11-01 02:51 EST, Jatin Nansi
no flags Details
New scaled hindi font in evolution compose window (54.57 KB, image/png)
2004-11-03 11:34 EST, Leon Ho
no flags Details
indic fonts in gedit (178.17 KB, image/png)
2004-11-28 23:45 EST, Lawrence Lim
no flags Details

  None (edit)
Description Leon Ho 2004-10-26 02:54:00 EDT
Description of problem:
Scale of the indic fonts glyphs are not matching on other fonts'
glyphs. Hence it may not provide best readable UI for users

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Login into one of the indic languages
2.
3.
  
Actual results:
glyphs are small

Expected results:
glyphs size should be similar to english glyphs

Additional info:
Comment 1 Jatin Nansi 2004-10-28 06:16:16 EDT
I have asked the vendor to scale all glyphs by 30%. The fonts are
expected on 29th of Oct 2004.
Comment 2 Leon Ho 2004-11-01 02:34:58 EST
Jatin, do you have a screenshot that can show Owen, our font expert,
on the current 30% tests with Luxi Sans?
Comment 3 Jatin Nansi 2004-11-01 02:51:48 EST
Created attachment 106003 [details]
screenshots of gu font scaled to 30%

This font is not the lohit font, but another font which the vendor scaled and
sent. Based on this, i have asked the vendor to scale glyphs 30%.
Comment 4 Leon Ho 2004-11-03 11:34:45 EST
Created attachment 106126 [details]
New scaled hindi font in evolution compose window

With en_US string and hindi string, the alignment is a bit off.
Comment 5 Leon Ho 2004-11-05 13:29:30 EST
30% scaled fonts are built in ttfonts-indic-1.7.

For mis-alignment, let's open another bug for it.
Comment 6 Lawrence Lim 2004-11-28 23:45:21 EST
Created attachment 107522 [details]
indic fonts in gedit

Had a look with the new ttfonts-indic-1.8-1. The indic glyphs size is now very
similar to english glyphs. Please see attached screenshot.
Comment 7 Lawrence Lim 2004-11-28 23:47:22 EST
Will leave the bug open for one more day for any additional comments.

Thanks.
Comment 8 Jatin Nansi 2004-11-29 07:57:13 EST
All good by me for the glyph sizes
Comment 9 Lawrence Lim 2004-12-01 09:24:55 EST
Thanks for your feedback, Jatin. Resolving the bug.

Note You need to log in before you can comment on or make changes to this bug.